package com.epson.lib.escani2;

import com.epson.lib.escani2.EscanI2Lib;
import java.io.Serializable;

public class I2LibScannerInfoAndCapability implements Serializable {
    public ScannerI2Capability scannerI2Capability = new ScannerI2Capability();
    public ScannerI2Info scannerI2Info = new ScannerI2Info();

    public boolean isAdfAvailable() {
        return scannerI2Info.adfInstalled;
    }

    public boolean isFlatbedAvailable() {
        return scannerI2Info.flatbedInstalled;
    }

    public int getAlignment(EscanI2Lib.InputUnit inputUnit) {
        return scannerI2Info.getAlignment(inputUnit);
    }

    public int[] getSensorSize(EscanI2Lib.InputUnit inputUnit) {
        return scannerI2Info.getSensorSize(inputUnit);
    }

    public boolean canDoubleSideScan() {
        if (!isAdfAvailable()) {
            return false;
        }
        return scannerI2Capability.adfCapability.duplex;
    }
}
